package com.uas.platform.b2b.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.uas.platform.b2b.erp.model.SaleQuaMRB;
import com.uas.platform.b2b.erp.service.SaleQuaMRBService;
import com.uas.platform.b2b.model.PurchaseMRB;

@Service
public class SaleQuaMRBServiceImpl implements SaleQuaMRBService {

	@Override
	public List<SaleQuaMRB> convertPurchaseMRBs(List<PurchaseMRB> purchaseMRBs) {
		List<SaleQuaMRB> saleQuaMRBs = new ArrayList<SaleQuaMRB>();
		for(PurchaseMRB purchaseMRB : purchaseMRBs) {
			saleQuaMRBs.add(new SaleQuaMRB(purchaseMRB));
		}
		return saleQuaMRBs;
	}


}
